Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ws.commons.schema
Class XmlSchemaNotation

    java.lang.Object
      org.apache.ws.commons.schema.XmlSchemaObject
          org.apache.ws.commons.schema.XmlSchemaAnnotated
              org.apache.ws.commons.schema.XmlSchemaNotation

    public class XmlSchemaNotation

extends XmlSchemaAnnotated

Class represents a notation. An XML Schema definition language (XSD) notation declaration is a reconstruction of XML 1.0 NOTATION declarations. The purpose of notations is to describe the format of non-XML data within an XML document. Represents the World Wide Web Consortium (W3C) notation element.

Field Summary

Fields inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`unhandledAttributes`

Constructor Summary
`XmlSchemaNotation()` Creates new XmlSchemaNotation

Method Summary
`java.lang.String` | `getName()`
`java.lang.String` | `getPublic()`
`java.lang.String` | `getSystem()`
`void` | `setPublic(java.lang.String publicNotation)`
`void` | `setString(java.lang.String name)`
`void` | `setSystem(java.lang.String system)`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaAnnotated
`getAnnotation, getId, getUnhandledAttributes, setAnnotation, setId, setUnhandledAttributes, toString`

Methods inherited from class org.apache.ws.commons.schema.XmlSchemaObject
`addMetaInfo, equals, getLineNumber, getLinePosition, getMetaInfoMap, getSourceURI, setLineNumber, setLinePosition, setMetaInfoMap, setSourceURI, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSchemaNotation

    public XmlSchemaNotation()

  Creates new XmlSchemaNotation

Method Detail

### getName

    public java.lang.String getName()

### setString

    public void setString(java.lang.String name)

### getPublic

    public java.lang.String getPublic()

### setPublic

    public void setPublic(java.lang.String publicNotation)

### getSystem

    public java.lang.String getSystem()

### setSystem

    public void setSystem(java.lang.String system)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 The Apache Software Foundation. All Rights Reserved.